# Created by pyp2rpm-1.1.2
%global pypi_name click

%bcond_without check

Name:           python-click
Version:        8.1.8
Release:        %mkrel 2
Group:          Development/Python
Summary:        A simple wrapper around optparse for powerful command line utilities
License:        BSD
URL:            https://pypi.org/project/click/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Click is a Python package for creating beautiful command line interfaces in a
composable way with as little code as necessary.  It's the "Command Line
Interface Creation Kit".  It's highly configurable but comes with sensible
defaults out of the box.

It aims to make the process of writing command line tools quick and fun while
also preventing any frustration caused by the inability to implement an
intended CLI API.

%package -n     python3-%{pypi_name}
Summary:        A simple wrapper around optparse for powerful command line utilities
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Click is a Python package for creating beautiful command line interfaces in a
composable way with as little code as necessary. It's the "Command Line
Interface Creation Kit".  It's highly configurable but comes with sensible
defaults out of the box.

It aims to make the process of writing command line tools quick and fun while
also preventing any frustration caused by the inability to implement an
intended CLI API.

%prep
%autosetup -p1 -n click-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} -v tests
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.*
%doc CHANGES.* README.*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 8.1.8-2.mga10
+ Revision: 2236731
- Mageia 10 Mass Rebuild

* Mon Feb 24 2025 wally <wally> 8.1.8-1.mga10
+ Revision: 2151853
- new version 8.1.8
- rebuild for python3.13

* Sat Dec 09 2023 wally <wally> 8.1.7-2.mga10
+ Revision: 2016431
- rebuild for py3.12

* Mon Oct 16 2023 papoteur <papoteur> 8.1.7-1.mga10
+ Revision: 1997489
- new 8.1.7

* Tue Sep 06 2022 papoteur <papoteur> 8.1.3-1.mga9
+ Revision: 1884393
- new 8.1.3

* Tue Mar 29 2022 umeabot <umeabot> 8.0.1-3.mga9
+ Revision: 1832603
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 8.0.1-2.mga9
+ Revision: 1774074
- rebuild for python 3.10

* Sat Aug 28 2021 wally <wally> 8.0.1-1.mga9
+ Revision: 1743072
- new version 8.0.1

* Fri Mar 26 2021 ovitters <ovitters> 7.1.2-2.mga9
+ Revision: 1710518
- rebuild for Python 3.9

* Wed Jun 10 2020 joequant <joequant> 7.1.2-1.mga9
+ Revision: 1591976
- add pytest
- update to 7.1.2

* Sun Feb 16 2020 umeabot <umeabot> 7.0-5.mga8
+ Revision: 1530979
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 7.0-4.mga8
+ Revision: 1438157
- rebuild for python3.8
- drop python2 support

* Sun Aug 18 2019 wally <wally> 7.0-3.mga8
+ Revision: 1429715
- update sphinx BRs

* Sun Jan 06 2019 tmb <tmb> 7.0-2.mga7
+ Revision: 1350227
- rebuild for python 3.7

* Sun Jan 06 2019 shlomif <shlomif> 7.0-1.mga7
+ Revision: 1350138
- New version 7.0

* Thu Sep 20 2018 umeabot <umeabot> 6.7-2.mga7
+ Revision: 1288414
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 6.7-1.mga7
+ Revision: 1227617
- new version: 6.7
- rename python-click to python2-click
- add some upstream patches

* Fri Aug 04 2017 tv <tv> 6.2-2.mga7
+ Revision: 1134734
- rebuild for new python

* Mon Jan 18 2016 daviddavid <daviddavid> 6.2-1.mga6
+ Revision: 925573
- new version: 6.2
- use new python macros

* Sat Oct 10 2015 daviddavid <daviddavid> 4.1-3.mga6
+ Revision: 889192
- BR python(3)-sphinx_rtd_theme
+ tv <tv>
- rebuild for python 3.5

* Mon Jul 20 2015 joequant <joequant> 4.1-2.mga6
+ Revision: 855571
- fix python3 build

* Sat Jul 18 2015 joequant <joequant> 4.1-1.mga6
+ Revision: 855096
- imported package python-click

